%define  upstream_name PHP_TokenStream
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		php-pear-%{upstream_name}
Version:	1.1.3
Release:	%mkrel 2
Summary:	Wrapper around PHP's tokenizer extension
License:	BSD
Group:		Development/PHP
URL:		http://pear.phpunit.de/package/%upstream_name
Source0:	http://pear.phpunit.de/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
Requires:	php-channel-phpunit
BuildArch:	noarch
BuildRequires:	php-pear
BuildRequires:	php-channel-phpunit


%description
Wrapper around PHP's tokenizer extension.

%prep
%setup -q -c 
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%build

%install
rm -rf %{buildroot}

cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/docs
rm -rf %{buildroot}%{_datadir}/pear/tests

install -d %{buildroot}%{xmldir}
install -m 644 %{upstream_name}.xml %{buildroot}%{xmldir}

%clean
rm -rf %{buildroot}
%post
pear install --nodeps --soft --force --register-only %{xmldir}/PHP_TokenStream.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.phpunit.de/PHP_TokenStream
fi

%files
%defattr(-,root,root)
%doc
%peardir/PHP/Token.php
%peardir/PHP/Token/Stream.php
%peardir/PHP/Token/Stream/Autoload.php
%peardir/PHP/Token/Stream/CachingFactory.php
%{xmldir}/PHP_TokenStream.xml









%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.1.3-2.mga3
+ Revision: 377215
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 27 2012 spuhler <spuhler> 1.1.3-1.mga2
+ Revision: 215516
- update to 1.1.3

* Fri Feb 10 2012 spuhler <spuhler> 1.1.2-1.mga2
+ Revision: 206762
- upgrade to 1.1.2

* Mon Nov 14 2011 spuhler <spuhler> 1.1.1-1.mga2
+ Revision: 167467
- upgrade to 1.1.1

* Sun Jul 17 2011 spuhler <spuhler> 1.0.1-2.mga2
+ Revision: 125490
- increased rel to 2
  changed -Requires: ConsoleTools >= 1.6 to Requires:	ezcomponents-ConsoleTools >= 1.6

* Mon Jul 11 2011 spuhler <spuhler> 1.0.1-1.mga2
+ Revision: 122049
- imported package php-pear-PHP_TokenStream

